After just upgrading linux-image-686 from 2.6.22 to 2.6.24+13 my Meastro3 does not work anymore.
The version of alsa-base has not changed (remains 1.016-1) however syslog shows:

Maestro3: probe of 0000:02:01.0 failed with error -2

The lines preceeding this one are:

ACPI: PCI Interrupt 0000:02:01.0[A] -> Link [LNKC] - GSI 7 (level, low) -> IRQ 7
ACPI: PCI interrupt for device 0000:02:01.0 disabled.

cat /proc/asound/version

gives

Advanced Linux Sound architecture driver Version 1.0.15

Any ideas how to proceed?

TIA,

Ferry Toth